register_assert_handler(3)

NAME
register_assert_handler

SYNOPSIS
#include <allegro.h>

void register_assert_handler(int (*handler)(char *msg));

DESCRIPTION
Supplies a custom handler function for dealing with assert failures. Your callback will be passed a formatted error message in ASCII, and should return non-zero if it has processed the error, or zero to continue with the default actions. You could use this to ignore assert failures, or to display the error messages on a graphics mode screen without aborting the program.

SEE ALSO
al_assert(3), ASSERT(3), register_trace_handler(3)